Litespeed upgraded to 4.1.1 - Error 500: Internal Server Error

Discussion in 'General' started by tophostingcenter, Jun 23, 2011.

  1. tophostingcenter

    tophostingcenter New Member

    Hi,

    Since we have upgraded our litespeed version to 4.1.1, we are getting this error:

    Error 500: Internal Server Error

    Logs are not talking to much about the above error

    Any advice ?

    regards
    eric
  2. NiteWave

    NiteWave Administrator

    post lsphpp5 settings here, and provide more information as possible.
    how about the frequency? only one vhost or many vhosts have the problem?
  3. morrisqueto

    morrisqueto New Member

    Exactly the same error in here.
    I think the frequency is random, arround every 24 hours.
    Just one vhost is having the issue.
    It was happening before upgrading to 4.1.1, logs tell nothing about it. I'm desperate, had to switch to apache.
    Last edited: Jun 28, 2011
  4. morrisqueto

    morrisqueto New Member

    Here is the site and php info.

    http://www.ejemplode.com/info.php

    Found this error...

    2011-06-27 20:30:21.116 [STDERR] PHP Warning: PHP Startup: Unable to load
    dynamic library
    '/usr/local/lsws/lsphp5/lib/php/extensions/no-debug-non-zts-20060613/ssh2.so' -
    /usr/local/lsws/lsphp5/lib/php/extensions/no-debug-non-zts-20060613/ssh2.so:
    cannot open shared object file: No such file or directory in Unknown on line
    0[eAccelerator] This build of "eAccelerator" was compiled for PHP
    version 5.2.14. Rebuild it for your PHP version (5.2.9) or download precompiled
    binaries.
    Last edited: Jun 28, 2011
  5. webizen

    webizen New Member

    The error indicates that your running lsphp5 (PHP) is at version 5.2.9. eAccelerator.so is built for PHP 5.2.14 which is incompatible with lsphp5. You need to build lsphp from admin console (Admin CP -> Actions -> Compile PHP) and check eAccelerator in Add-On Modules in Step 2. Use following as reference for your other compile options:

    http://www.litespeedtech.com/suppor...:php:lsapi:troubleshoot#configure_compilation

    For ssh2.so, you can comment out 'extension=ssh2.so' in php.ini file if you don't need it. Or follow the instructions above to build the shared so file.

    Last edited: Jun 30, 2011

Share This Page